<?php
include 'header.php';
include 'erpc_transportadora_toolbar.php'; //Nome da tabela _list.php
include 'connect.php'; 

// Método para post de Query Avançada
	$consulta = "select * from erpc_transportadoras where st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];

		$ds_codigo = trim($_POST['ds_codigo']);
		$st_acao = trim($_POST['st_acao']);
		$ds_razao = trim($_POST['ds_razao']);
		$ds_fantasia = trim($_POST['ds_fantasia']);
		$ds_cep = trim($_POST['ds_cep']);
		$ds_endereco = trim($_POST['ds_endereco']);
		$ds_bairro = trim($_POST['ds_bairro']);
		$ds_uf = trim($_POST['ds_uf']);
		$id_municipio = trim($_POST['id_municipio']);
		$ds_cx_postal = trim($_POST['ds_cx_postal']);
		$ds_cpf_cnpj = trim($_POST['ds_cpf_cnpj']);
		$ds_rg = trim($_POST['ds_rg']);
		$ds_ddi = trim($_POST['ds_ddi']);
		$ds_ddd = trim($_POST['ds_ddd']);
		$ds_telefone = trim($_POST['ds_telefone']);
		$ds_fax = trim($_POST['ds_fax']);
		$ds_ie = trim($_POST['ds_ie']);
		$ds_im = trim($_POST['ds_im']);
		$ds_email = trim($_POST['ds_email']);
		$ds_departamento = trim($_POST['ds_departamento']);
		$ds_homepage = trim($_POST['ds_homepage']);
		$ds_telex = trim($_POST['ds_telex']);
		$ds_complemento = trim($_POST['ds_complemento']);
		$id_banco = trim($_POST['id_banco']);
		$ds_conta_corrente = trim($_POST['ds_conta_corrente']);
		$ds_natureza = trim($_POST['ds_natureza']);
		$id_condicao_pagamento = trim($_POST['id_condicao_pagamento']);
		$vl_maior_frete = trim($_POST['vl_maior_frete']);
		$vl_media_atraso = trim($_POST['vl_media_atraso']);
		$vl_maior_saldo = trim($_POST['vl_maior_saldo']);
		$nr_entregas = trim($_POST['nr_entregas']);

		$consulta .= (!empty($ds_codigo)            ? " and id            like '%$ds_codigo%'"            : '');
		$consulta .= (!empty($st_acao)            ? " and id            like '%$st_acao%'"            : '');
		$consulta .= (!empty($ds_razao)            ? " and id            like '%$ds_razao%'"            : '');
		$consulta .= (!empty($ds_fantasia)            ? " and id            like '%$ds_fantasia%'"            : '');
		$consulta .= (!empty($ds_cep)            ? " and id            like '%$ds_cep%'"            : '');
		$consulta .= (!empty($ds_endereco)            ? " and id            like '%$ds_endereco%'"            : '');
		$consulta .= (!empty($ds_bairro)            ? " and id            like '%$ds_bairro%'"            : '');
		$consulta .= (!empty($ds_uf)            ? " and id            like '%$ds_uf%'"            : '');
		$consulta .= (!empty($id_municipio)            ? " and id            like '%$id_municipio%'"            : '');
		$consulta .= (!empty($id_pais)            ? " and id            like '%$id_pais%'"            : '');
		$consulta .= (!empty($ds_cx_postal)            ? " and id            like '%$ds_cx_postal%'"            : '');
		$consulta .= (!empty($tp_tipo)            ? " and id            like '%$tp_tipo%'"            : '');
		$consulta .= (!empty($ds_cpf_cnpj)            ? " and id            like '%$ds_cpf_cnpj%'"            : '');
		$consulta .= (!empty($ds_rg)            ? " and id            like '%$ds_rg%'"            : '');
		$consulta .= (!empty($ds_ddi)            ? " and id            like '%$ds_ddi%'"            : '');
		$consulta .= (!empty($ds_ddd)            ? " and id            like '%$ds_ddd%'"            : '');
		$consulta .= (!empty($ds_telefone)            ? " and id            like '%$ds_telefone%'"            : '');
		$consulta .= (!empty($ds_fax)            ? " and id            like '%$ds_fax%'"            : '');
		$consulta .= (!empty($ds_ie)            ? " and id            like '%$ds_ie%'"            : '');
		$consulta .= (!empty($ds_im)            ? " and id            like '%$ds_im%'"            : '');
		$consulta .= (!empty($ds_email)            ? " and id            like '%$ds_email%'"            : '');
		$consulta .= (!empty($ds_departamento)            ? " and id            like '%$ds_departamento%'"            : '');
		$consulta .= (!empty($ds_homepage)            ? " and id            like '%$ds_homepage%'"            : '');
		$consulta .= (!empty($ds_telex)            ? " and id            like '%$ds_telex%'"            : '');
		$consulta .= (!empty($id_cbo)            ? " and id            like '%$id_cbo%'"            : '');
		$consulta .= (!empty($id_cnae)            ? " and id            like '%$id_cnae%'"            : '');
		$consulta .= (!empty($ds_complemento)            ? " and id            like '%$ds_complemento%'"            : '');
		$consulta .= (!empty($id_banco)            ? " and id            like '%$id_banco%'"            : '');
		$consulta .= (!empty($nr_agencia)            ? " and id            like '%$nr_agencia%'"            : '');
		$consulta .= (!empty($ds_conta_corrente)            ? " and id            like '%$ds_conta_corrente%'"            : '');
		$consulta .= (!empty($ds_natureza)            ? " and id            like '%$ds_natureza%'"            : '');
		$consulta .= (!empty($id_condicao_pagamento)            ? " and id            like '%$id_condicao_pagamento%'"            : '');
		$consulta .= (!empty($id_contabil)            ? " and id            like '%$id_contabil%'"            : '');
		$consulta .= (!empty($id_adm)            ? " and id            like '%$id_adm%'"            : '');
		$consulta .= (!empty($vl_maior_frete)            ? " and id            like '%$vl_maior_frete%'"            : '');
		$consulta .= (!empty($vl_media_atraso)            ? " and id            like '%$vl_media_atraso%'"            : '');
		$consulta .= (!empty($vl_maior_saldo)            ? " and id            like '%$vl_maior_saldo%'"            : '');
		$consulta .= (!empty($nr_entregas)            ? " and id            like '%$nr_entregas%'"            : '');

	}
?>

<div class="block">
  <div class="header">
  <h2>Lista de Transportadoras</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=05%>ID</th>
            <th width=10%>Cod.</th>
						<th width=30%>Razãp Social</th>
						<th width=20%>Fantasia</th>
            <th width=20%>CNPJ</th>
						<th width=05%>Editar</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id       	= $registro['id'];
            $id_crip	 	= base64_encode($id);

						$ds_codigo = $registro['ds_codigo'];
						$st_acao = $registro['st_acao'];
						$ds_razao = $registro['ds_razao'];
						$ds_fantasia = $registro['ds_fantasia'];
						$ds_cep = $registro['ds_cep'];
						$ds_endereco = $registro['ds_endereco'];
						$ds_bairro = $registro['ds_bairro'];
						$id_municipio = $registro['id_municipio'];
						$ds_cx_postal = $registro['ds_cx_postal'];
						$tp_tipo = $registro['tp_tipo'];
						$ds_cpf_cnpj = $registro['ds_cpf_cnpj'];
						$ds_rg = $registro['ds_rg'];
						$ds_ddi = $registro['ds_ddi'];
						$ds_ddd = $registro['ds_ddd'];
						$ds_telefone = $registro['ds_telefone'];
						$ds_fax = $registro['ds_fax'];
						$ds_ie = $registro['ds_ie'];
						$ds_im = $registro['ds_im'];
						$ds_email = $registro['ds_email'];
						$ds_departamento = $registro['ds_departamento'];
						$ds_homepage = $registro['ds_homepage'];
						$ds_telex = $registro['ds_telex'];
						$ds_complemento = $registro['ds_complemento'];
						$id_banco = $registro['id_banco'];
						$ds_conta_corrente = $registro['ds_conta_corrente'];
						$ds_natureza = $registro['ds_natureza'];
						$id_condicao_pagamento = $registro['id_condicao_pagamento'];


			   echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$id</td>";
            echo "<td>$ds_codigo</td>";
						echo "<td>$ds_razao</td>";
						echo "<td>$ds_fantasia</td>";
						echo "<td>$ds_cpf_cnpj</td>";

            echo "<td class='text-center'><a href='erpc_transportadora_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_transportadora_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
